/* FILE: nb.cc                   -*-Mode: c++-*-
 *
 *	The Nuts & Bolts extension.
 *
 *	This extension provides a collection of C++ classes and functions
 * of general utility to all OOMMF applications.
 * 
 * NOTICE: Please see the file ../../LICENSE
 *
 * Last modified on: $Date: 1999/03/30 21:21:49 $
 * Last modified by: $Author: dgp $
 */

/* Header file for this extension */
#include <tcl.h>
#include "oc.h"
#include "nb.h"

/* End includes */     

int 
Nb_Init(Tcl_Interp *interp)
{
#define RETURN_TCL_ERROR                                               \
    Tcl_AddErrorInfo(interp, ab1("\n    (in Nb_Init())"));             \
    return TCL_ERROR

  Oc_AutoBuf ab,ab1,ab2,ab3,ab4;
  char* usage_argv[4];

  /*
   * We don't really need the Oc extension to be initialized.
   * We only use its C API, which is provided simply by linking
   * against the Oc library.  Save this code for when we are really
   * supporting dynamic loading and all this checking needs to be
   * done at run time.
   *
  if (Tcl_PkgRequire(interp, ab("Oc"), ab1("1.1"), 0) == NULL) {
    Tcl_AppendResult(interp, ab("\n\t(Nb "NB_VERSION" needs Oc 1.1)"), NULL);
    RETURN_TCL_ERROR;
  }
   *
   */

  if (Tcl_PkgProvide(interp, ab("Nb"), ab1(NB_VERSION)) != TCL_OK) {
    RETURN_TCL_ERROR;
  }

  /*
   * Currently there is no Tcl part to the Nb extension
   *
  if ( Oc_InitScript(interp, "Nb", NB_VERSION) != TCL_OK) {
    RETURN_TCL_ERROR;
  }
   *
   */

  // Include Nb usage info in help listing
  usage_argv[0]=ab1("");
  usage_argv[1]=ab2("Nb "NB_VERSION);
  usage_argv[2]=ab3("OOMMF Nuts & Bolts");
  usage_argv[3]=ab4("");
  Oc_AppendUsageInfo(NULL,interp,4,usage_argv);

  return TCL_OK;

#undef RETURN_TCL_ERROR
}
