# FILE: bug81.tcl
#
#	Patches for Tcl 8.1
#
# Last modified on: $Date: 1999/03/25 22:16:03 $
# Last modified by: $Author: dgp $
#
# This file contains Tcl code which when sourced in a Tcl 8.1 interpreter
# will patch bugs in Tcl 8.1 fixed in later versions of Tcl.  It is not
# meant to be complete.  Bugs are patched here only as we discover the need
# to do so in writing other OOMMF software.

# Tcl 8.0.3 introduced a new default behavior for [auto_mkindex].  OOMMF
# was designed around the old behavior, which in Tcl 8.0.3+ is available
# as the command [auto_mkindex_old].

# Starting in Tcl8.1, auto_mkindex has to be auto-loaded.
catch {auto_mkindex}
if {[llength [info commands auto_mkindex_old]]} { 
    rename auto_mkindex {}
    rename auto_mkindex_old auto_mkindex
}

# Tcl 8.1 is the current stable version.  No version-specific patches.
# Continue on to the generic patches.
source [file join [file dirname [info script]] bug.tcl]

